Comment 61 for bug 305264

Steve Beattie (sbeattie) wrote :

For the openldap/hardy SRU:

I have:

  (1) reproduced the acceptance of the v1 certificates as
      outlined in Mathias' test case by the ldap clients with ldap
      2.4.9-0ubuntu0.8.04.2 and gnutls13 2.0.4-1ubuntu2.

  (2) reproduced the rejection of v1 certificates by the ldap clients
      with ldap 2.4.9-0ubuntu0.8.04.2 and gnutls13 versions
      2.0.4-1ubuntu2.3 and 2.0.4-1ubuntu2.5.

  (3) confirmed that the with the version of the ldap packages in
      hardy-proposed, 2.4.9-0ubuntu0.8.04.3, that the v1 certificates
      are once again accepted when using gnutls13 versions
      2.0.4-1ubuntu2.3 and 2.0.4-1ubuntu2.5.

I have also run the ldap packages in hardy-proposed through the
openldap testcases in the lp:qa-regression-testing bzr tree with all
three available versions of gnutls13 (gnutls13 2.0.4-1ubuntu2,
2.0.4-1ubuntu2.3, 2.0.4-1ubuntu2.5) and confirmed that there were no
introduced regressions seen there as well.

I consider the openldap packages verification-done for hardy.